LArSoft - Bug #7822

problem with remote install
02/10/2015 11:16 AM - Lynn Garren

Status: Closed Start date: 02/10/2015
Priority: Normal Due date:

Assignee: Lynn Garren % Done: 100%
Category: Install / build / code mgmt Estimated time: 6.00 hours
Target version: Spent time: 0.00 hour
Occurs In: Co-Assignees:

Experiment: -

Description

So | used pullProducts to download the binaries and executed the following order of commands:

source ./setup

setup git

setup gitflow

setup mrb

export MRB_PROJECT=larsoft
setup larsoft v03_08_00 -q e6:prof

| get these errors:

RROR: Action parsing failed on "unsetuprequired(g4surface vi_0)"
ERROR: Action parsing failed on "unsetuprequired(g4pii v1_3)"
ERROR: Action parsing failed on "unsetuprequired(g4nucleonxs v1i_1)"
ERROR: Action parsing failed on "unsetuprequired(g4neutronxs v1i_2)"
ERROR: Action parsing failed on "unsetuprequired(g4neutron v4_2)"
ERROR: Action parsing failed on "unsetuprequired(g4emlow v6_32)"
ERROR: Found no match for product 'g4emlow'

ERROR: Action parsing failed on "setupRequired(g4emlow v6_32)"
ERROR: Found no match for product 'g4neutron’

ERROR: Action parsing failed on "setupRequired(g4neutron v4_2)"
ERROR: Found no match for product 'g4neutronxs’

ERROR: Action parsing failed on "setupRequired(g4neutronxs v1_2)"
ERROR: Found no match for product 'g4nucleonxs'

ERROR: Action parsing failed on "setupRequired(g4nucleonxs v1_1)"
ERROR: Found no match for product 'g4pii’

ERROR: Action parsing failed on "setupRequired(g4pii v1_3)"
ERROR: Found no match for product 'g4surface’

ERROR: Action parsing failed on "setupRequired(g4surface v1_0)"

| still go ahead and continue the order:

mkdir workdir

cd workdir

mrb newDev

source ./localProducts_larsoft_v03_08_00_e6_prof/setup;
cd srcs/

mrb g Ibnecode

git clone: clone Ibnecode at /home/elnimr/larsoft_new/workdir2/srcs

NOTICE: You do not have read-write permissions for this repository
NOTICE: Running git clone http://cdcvs.fnal.gov/projects/Ibnecode
Cloning into 'lbnecode'...

fatal: unable to access '/home/garren/scratch/pe5/git/vi_8 5_6/Linux64bit+2.6-2.12/etc/gitconfig': Permission denied

ERROR: The git command failed!

Your help will be appreciated.
History

#1 - 02/10/2015 11:21 AM - Lynn Garren
- Category set to Install / build / code mgmt
- Status changed from New to Assigned

- Assignee set to Lynn Garren

| cannot reproduce the first part of your problem:

/pullProducts ~/p/ slf6 larsoft-v03_08_00 s6-e6 prof
source ~/p/setup

setup git

setup gitflow

setup mrb

export MRB_PROJECT=larsoft

setup larsoft v03_08_00 -q e6:prof

At this point, there are no errors.

#2 - 02/10/2015 11:32 AM - Lynn Garren
- % Done changed from 0 to 10

| can reproduce the problem with mrb g Ibnecode if | do not have a proper Kerberos ticket. gitCheckout has has seen that you do not have
permissions and is attempting a non-privileged clone.

It appears that we need to fix git.

However, you can solve your problem for now by making sure you have a Kerberos ticket (execute the kinit command) before you run mrb g.
#3 - 02/12/2015 06:13 PM - Muhammad Elnimr

| have a ticket now but | am still experiencing the problem.

klist

Ticket cache: FILE:/tmp/krb5cc_5039
Default principal: melnimr@FENAL.GOV

Valid starting  Expires Service principal

02/12/1517:51:56 02/13/15 19:51:53 krbtgt/FNAL.GOV@FNAL.GOV
renew until 02/19/15 17:51:53

02/12/1517:54:41 02/13/15 19:51:53 host/ccdcvsvm.fnal.gov@FNAL.GOV
renew until 02/19/15 17:51:53

And | still get:

git clone: clone larreco at /home/elnimr/larsoft_new/wrkdir/srcs

NOTICE: Running git clone ssh://p-larreco@cdcvs.fnal.gov/cvs/projects/larreco

Cloning into 'larreco'...

fatal: unable to access ''home/garren/scratch/peb/git/v1_8_5_6/Linux64bit+2.6-2.12/etc/gitconfig': Permission denied
ERROR: The git command failed!

#4 - 02/13/2015 04:14 PM - Muhammad Elnimr
Is this related but | found out that there is a directory for you Lynn here on our cluster:

[neutrino2]$ Is /home/garren/
Is: cannot open directory /home/garren/: Permission denied

#5 - 02/13/2015 05:17 PM - Erica Snider

Hi Muhammad,

Lynn is away from the Lab today and won't be back until Monday, which is why there has been silence on this ticket. She sent around a message last
night speculating on what might be happening. I've never seen this type of problem come up, and no one else has offered a suggestion. Really sorry
the the delay. This is clearly a show-stopping problem, so we'd like to get this fixed asap.

The /home/garren/... path obviously shouldn't be happening. The thinking is that it's either in your environment somewhere or it somehow got built into
the git executable you have, is the thinking.

Can you try a couple of things for me just so we can see some of the details of your environment? After setting everything up and hitting the problem,
can you do the following:

ups active
which git
printenvigrep "GIT

Thanks!
Erica

#6 - 02/13/2015 08:31 PM - Muhammad Elnimr
- File list added

ups active is attached.

which git
~/larsoft_new/git/v1_8_5_6/Linux64bit+2.6-2.12/bin/git

printenv|*"GIT

GITFLOW_DIR=/home/elnimr/larsoft_new/gitflow/v0_4_2_pre
GIT_FQ_DIR=/home/elnimr/larsoft_new/git/v1_8_5_6/Linux64bit+2.6-2.12
GIT_TEMPLATE_DIR=/home/elnimr/larsoft_new/git/v1_8_5_6/Linux64bit+2.6-2.12/share/git-core/templates
GIT_UPS_DIR=/home/elnimr/larsoft_new/git/vi_8 5 6

GITFLOW_VERSION=v0_4_2_pre
GIT_HOME=/home/elnimr/larsoft_new/git/v1_8_5_6/Linux64bit+2.6-2.12
GITPERLLIB=/home/elnimr/larsoft_new/git/v1_8_5_6/Linux64bit+2.6-2.12/share/perl5
GIT_EXEC_PATH=/home/elnimr/larsoft_new/git/v1_8 5 6/Linux64bit+2.6-2.12/libexec/git-core

#7 - 02/14/2015 11:26 AM - Erica Snider

It looks to me as though the problem is in the git distribution, which is not something | can fix directly. We'll need to wait for Lynn to look into it.

| tried using git v1_8_ 5 3, which is the next earlier version we have in the larsoft distribution area. That appeared to work with the current mrb g. So, a
possible workaround until the later version can get fixed is to try pulling git vi_8_5_3, then setting that up explicitly before doing any mrb g operations.
| suppose it's possible that the earlier one will be broken for you in the same way, but it might be worth a try if you are anxious to get something
working.

Erica

#8 - 02/15/2015 06:48 PM - Muhammad Elnimr

| tried:
J/pullProducts ./ slf6é git-v1_8_5_3 s6-e6 prof

but | get:

looking for git 1.8.5.3 v1_8 5 3 slf6 s6-e6 prof
ERROR: pull of git-1.8.5.3-Linux64bit+2.6-2.12-s6-e6-prof_MANIFEST.ixt failed
Please check the spelling and try again

#9 - 02/16/2015 11:50 AM - Lynn Garren

We suspect that the problem is related to a connection between your machine and Fermilab. We would like you to do some direct tests.
First, are you able to ssh to any Fermilab machine? Which one(s)?

Second, please try git clone directly in some test directory.
setup gitvi_8_5_6

which git

git clone http:/cdcvs.fnal.gov/projects/larreco

git clone ssh://p-larreco@cdcvs.fnal.gov/cvs/projects/larreco
setup gitvi_8 5_3

which git

git clone http:/cdcvs.fnal.gov/projects/larreco

git clone ssh://p-larreco@cdcvs.fnal.gov/cvs/projects/larreco
unsetup git

which git

pullProducts is not designed to install individual products. To install the older git, which has known security issues and is NOT recommended for
continued use:

cd <your product directory>

curl -O http:/scisoft.fnal.gov/scisoft/packages/qgit/vi_8_5_ 3/git-1.8.5.3-slf6-x86_64.tar.bz2

tar xf git-1.8.5.3-slf6-x86_64.tar.bz2
#10 - 02/16/2015 02:34 PM - Lynn Garren
- Status changed from Assigned to Feedback

One more question:

What is the result of "git config -I"?

#11 - 02/16/2015 07:08 PM - Muhammad Elnimr

All the git clone commands before had the same permission problems.

When | switched to the old git it definitely work except this error at the end that is probably unrelated:

git clone: clone Ibnecode at /home/elnimr/larsoft_new/wrkdir/srcs

NOTICE: Running git clone ssh://p-lbnecode@cdcvs.fnal.gov/cvs/projects/lonecode
Initialized empty Git repository in /mnt/raid3b/users/elnimr/larsoft/wrkdir/srcs/lbnecode/.git/
remote: Counting objects: 4077, done.

remote: Compressing objects: 100% (3058/3058), done.

remote: Total 4077 (delta 2491), reused 1358 (delta 729)

Receiving objects: 100% (4077/4077), 2.89 MiB | 2.03 MiB/s, done.

Resolving deltas: 100% (2491/2491), done.

ready to run git flow init for Ibnecode

Branch master set up to track remote branch master from origin.

Switched to a new branch 'master’

Using default branch names.

Switched to branch 'develop’

error: unknown option “set-upstream-to=origin/develop'

also, git config -l gives me:
fatal: error processing config file(s)

#12 - 02/16/2015 07:39 PM - Muhammad Elnimr
Ohand:

unsetup git
which git
gives:
/usr/bin/git

#13 - 02/16/2015 07:48 PM - Muhammad Elnimr

| actually | take that back.
That old version (v1_8 5 3) doesn't work.

Only when | unsetup git. And use the default local git:

which git
/usr/bin/git

git --versino
git version 1.7.1

it does work!

#14 - 02/17/2015 11:15 AM - Lynn Garren

The problem is now understood. You need to configure git. Please see this page:
http:/qgit-scm.com/book/en/v2/Getting-Started-First-Time-Git-Setup

It is important to at least set user.name and user.email.

#15 - 02/17/2015 12:05 PM - Muhammad Elnimr

| should be more clear when | have our own git setup (the one local here on the Alabama cluster):
git config -I

fatal: error processing config file(s)

but when | have the one that comes with larsoft setup:

git config -I

fatal: unable to access ''home/garren/scratch/p/git/v1_8_5_3/Linux64bit+2.6-2.12/etc/gitconfig': Permission denied
#16 - 02/17/2015 12:13 PM - Lynn Garren

In both cases, git is complaining because you do not have your own git configuration. Both errors will go away when you follow the instructions on
http:/qgit-scm.com/book/en/v2/Getting-Started-First-Time-Git-Setup

#17 - 02/17/2015 03:18 PM - Muhammad Elnimr

But my point is that even with the local git (/usr/bin/git) and no configuration it still works.

#18 - 02/17/2015 03:25 PM - Lynn Garren

git needs a configuration file. Your system configuration is for an older release of git. If you want git 1.8.x.y to work you MUST have a git
configuration in your SHOME directory. Everything else is a red herring. Once you have made your local config file, git will no longer try to find the
non-existent configuration file (which never existed on ANY machine).

#19 - 02/17/2015 09:57 PM - Muhammad Elnimr

| do:
git config --global user.name "Muhammad Elnimr"

and | still get the error:
fatal: unable to access '"home/garren/scratch/pe5/git/v1_8_5_6/Linux64bit+2.6-2.12/etc/gitconfig': Permission denied

#20 - 02/18/2015 09:31 AM - Lynn Garren
- Status changed from Feedback to Assigned
- Estimated time set to 6.00 h

| finally found a machine where | can reproduce the problem.

You will not be able to git config with git vi_8 5 6. You will need to use either your system git or git vi_8_5_3.

#21 - 02/19/2015 02:59 PM - Lynn Garren

- Status changed from Assigned to Resolved

- % Done changed from 10 to 100

Please download git v2_3_0. This works in our tests.

You will need to download and install git by hand until the new release is part of the larsoft distribution. Download the appropriate tarball from this

directory:
http:/scisoft.fnal.gov/scisoft/packages/qgit/v2_3_0/

Then cd to your product directory and "tar xf <tarball>"

#22 - 03/03/2015 10:22 AM - Lynn Garren

- Status changed from Resolved to Closed

Files

list 5.66 KB 02/14/2015 Muhammad Elnimr
